$(document).ready(function(){

	var METODO = '3b';

//	var scegli = '<option value="0">Scegli...</option>';
//	var attendere = '<option value="-1">Attendere...</option>';

	$("select#Diametro").attr("disabled", "disabled");
	$("select#TipoSupporto").attr("disabled", "disabled");
	$("select#TipoLamiera").attr("disabled", "disabled");
	$("select#TipoPavimenti").attr("disabled", "disabled");
	$("select#volvenza").attr("disabled", "disabled");
	$("select#TipoRuota").attr("disabled", "disabled");
	$("select#Portata").attr("disabled", "disabled");
	$("select#SerieSupporti").attr("disabled", "disabled");

	$("select#applicazione").change(function(){ SelezionaTabelle(); });
	$("select#comeRuota").change(function(){ SelezionaTabelle(); });

	$("select#Diametro").change(function(){ ContaRecords() });
	$("select#TipoSupporto").change(function(){ ContaRecords() });
	$("select#TipoLamiera").change(function(){ ContaRecords() });
	$("select#TipoPavimenti").change(function(){ ContaRecords() });
	$("select#volvenza").change(function(){ ContaRecords() });
	$("select#TipoRuota").change(function(){ ContaRecords() });
	$("select#Portata").change(function(){ ContaRecords() });
	$("select#SerieSupporti").change(function(){ ContaRecords() });


	function SelezionaTabelle() 
	{
		var applic = $("select#applicazione option:selected").attr('value');
		var comeR  = $("select#comeRuota option:selected").attr('value');

		// applicazione non scelto  di default Collettivit
		// comeruota non scelta  di default Ruota montata
		if(applic==0) {applic=1}; if(comeR==0) {comeR=3};

		var lang = 'it';

		loadXMLDoc('Diametro', 'Diametro', applic, comeR, lang);
		loadXMLDoc('TipoSupporto', 'Supporto', applic, comeR, lang);
		loadXMLDoc('TipoLamiera', 'Lamiera', applic, comeR, lang);
		loadXMLDoc('TipoPavimenti', 'Pavimenti', applic, comeR, lang);
		loadXMLDoc('volvenza', 'Volvenza', applic, comeR, lang);
		loadXMLDoc('TipoRuota', 'Ruota', applic, comeR, lang);
		loadXMLDoc('Portata', 'Portata', applic, comeR, lang);
		loadXMLDoc('SerieSupporti', 'SerieSup', applic, comeR, lang);

		ContaRecords(0);
		return;
	}

 
	function loadXMLDoc(form_tag, funzione, applic, comeR, lang)
	{
		var xURL = "characteristics.php?funzione="+funzione+"&id="+applic+"&id2="+comeR+"&lng="+lang

		var attendere	= '<select name="' + form_tag + '" id="' + form_tag + '">'
				+ '<option value="-1">Attendere...</option>'
				+ '</select>';
if (form_tag == "Diametro"){ alert(attendere); }

		$("select#"+form_tag).html(attendere);
		$("select#"+form_tag).attr("disabled", "disabled");


if (METODO=='1'){
		$.get( xURL,
		function(data)
		{
			$("select#"+form_tag).removeAttr("disabled"); 
			$("select#"+form_tag).html(data);
if (form_tag == "Diametro"){ alert(data); }
		});
}


if (METODO=='2'){
		$.ajax ({   
			type: "GET",
			url: xURL,
			dataType: "html",
			success: function(data)
			{
				$("select#"+form_tag).removeAttr("disabled");
				$("select#"+form_tag).html(data);
if (form_tag == "Diametro"){ alert(data); }
			},
			error: function() { alert("2 - malfunzionamento "+form_tag); }
		});
}


if (METODO=='3a'){
		var xmlhttp;

		if (window.XMLHttpRequest)	{ xmlhttp=new XMLHttpRequest(); }
		else				{ xmlhttp=new ActiveXObject("Microsoft.XMLHTTP"); }

		xmlhttp.onreadystatechange=function()
		{
			if (xmlhttp.readyState==4 && xmlhttp.status==200)
			{
				data = xmlhttp.responseText;
				$("select#"+form_tag).removeAttr("disabled"); 
				$("select#"+form_tag).html(data);
if (form_tag == "Diametro"){ alert(data); }
			}
		}
		xmlhttp.open("GET", xURL, true);
		xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		xmlhttp.send();
}


if (METODO=='3b'){
		var xmlhttp=catchthebrowser();

		xmlhttp.onreadystatechange=function()
		{
			if (xmlhttp.readyState==4 && xmlhttp.status==200)
			{
				data = xmlhttp.responseText;
				$("select#"+form_tag).removeAttr("disabled"); 
				$("select#"+form_tag).html(data);
if (form_tag == "Diametro"){ alert(data); }
			}
		}
		xmlhttp.open("GET", xURL ,true);
		xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		xmlhttp.send();
}
		return;
	}


	function ContaRecords(i)
	{
		i++; if (i > 10) { alert('attenzione I > 10'); return false; }

		var applic	= $("select#applicazione option:selected").attr('value');
		var comeR	= $("select#comeRuota option:selected").attr('value');
		var v_dmt	= $("select#Diametro option:selected").attr('value');
		var v_suppt	= $("select#TipoSupporto option:selected").attr('value'); 
		var v_lamier	= $("select#TipoLamiera option:selected").attr('value');
		var v_pavt	= $("select#TipoPavimenti option:selected").attr('value'); 
		var v_vol	= $("select#volvenza option:selected").attr('value'); 
		var v_Ruot	= $("select#TipoRuota option:selected").attr('value');
		var v_por	= $("select#Portata option:selected").attr('value');
		var v_seriesup	= $("select#SerieSupporti option:selected").attr('value'); 

		if(applic==0) {applic=1}; if(comeR==0) {comeR=3};

		if (
			v_dmt==-1
		||	v_suppt==-1
		||	v_lamier==-1
		||	v_pavt==-1
		||	v_vol==-1
		||	v_Ruot==-1
		||	v_por==-1
		||	v_seriesup==-1
		) { setTimeout(function () { ContaRecords(i); }, 500); return false; };

		var xURL = "elementscount.php?timestamp=" + (new Date().getTime())%100000
		+	"&id="		+ applic
		+	"&id2="		+ comeR
		+	"&dmt="		+ v_dmt
		+	"&suppt="	+ v_suppt
		+	"&lamier="	+ v_lamier
		+	"&pavt="	+ v_pavt
		+	"&vol="		+ v_vol
		+	"&Ruot="	+ v_Ruot
		+	"&por="		+ v_por
		+	"&seriesup="	+ v_seriesup

		var xmlhttp=catchthebrowser();

		xmlhttp.onreadystatechange=function()
		{
			if (xmlhttp.readyState==4 && xmlhttp.status==200)
			{
				data = xmlhttp.responseText;
				$("#result").html(data);
			}
		}
		xmlhttp.open("GET", xURL ,true);
		xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
		xmlhttp.send();
		return true;
	}


	function catchthebrowser()
	{
		var xmlhttp=false;

		/*@cc_on @*/
		/*@if (@_jscript_version >= 5)
			try { xmlhttp = new ActiveXObject("Msxml2.XMLHTTP"); }
			catch (e)
			{
				try { xmlhttp = new ActiveXObject("Microsoft.XMLHTTP"); }
				catch (e) { xmlhttp = false; }
			}
		@end @*/

		if (!xmlhttp && typeof XMLHttpRequest!='undefined')
		{
			try { xmlhttp = new XMLHttpRequest(); }
			catch (e) { xmlhttp = false; }
		}
		if (!xmlhttp && window.createRequest)
		{
			try { xmlhttp = window.createRequest(); }
			catch (e) { xmlhttp = false; }
		}
		return xmlhttp;
	}
});